package com.mortals.xhx.busiz.req.accept;

import com.mortals.xhx.busiz.BaseApiReq;
import com.mortals.xhx.protocol.complex.matter.model.req.*;
import lombok.Data;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 综合受理请求
 *
 * @author: zxfei
 * @date: 2023/10/30 16:50
 */
@Data
public class ComplexAcceptReq extends BaseApiReq {


    private ComplexApplicantLeagal applicantLegal;
    private Object agency;
    private List<String> itemsIds=new ArrayList<>();
    private List<ComplexMaterialsItem> materials;
    private String isStaging;
    private ComplexApplicantPersonal applicantPersonal;
    private List<ComplexHandlingsItem> handlings;
    private Map<String,String> infoMap=new HashMap<>();
    private LegalProxy legalProxy;
    private Object thingId;
}
