package com.mortals.xhx.busiz.rsp;

import lombok.Data;

/**
 * 综合窗口响应类
 * @param <T>
 */
@Data
public class ComplexApiResp<T> {
    /**
     * 结果编码
     */
    private int code;
    /**
     * 结果描述
     */
    private boolean success;

    /**
     * 数据
     */
    private String message;
    /**
     * 响应数据
     */
    private T result;

}
