package com.mortals.xhx.protocol.complex.matter.model.rsp;

import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
public class HandlingRspInfo {

    private String handlingId;
    private String handlingCode;
    private String unifyCode;
    private String eventId;
    private String acceptObjectType;
    private String eventImplementation;
    private String ecId;
    private Integer handlingVersion;
    private String ecName;
    private String eventObjectType;
    private String applicantId;
    private Object applicant;
    private String handlerId;
    private Object handler;
    private String legalPersonId;
    private Object legalPerson;
    private String phone;
    private String handlerPhone;
    private String applicantIdNumber;
    private String isOneThing;
    private String isTongBan;
    private String businessTacheId;
    private String businessTacheCode;
    private String btsId;
    private String btsIds;
    private String btsName;
    private Integer btsOrder;
    private String businessTacheName;
    private String state;
    private String handleAddressId;
    private String handleAddress;
    private Object states;
    private String stateName;
    private String startDate;
    private String endDate;
    private String userId;
    private String handleDept;
    private String doSource;
    private String timingStartTime;
    private String acceptAreaCode;
    private String windowId;
    private String windowName;
    private String applyCode;
    private String registerAddress;
    private String commAddress;
    private String currentArea;
    private String createBy;
    private String createTime;
    private String updateBy;
    private String updateTime;
    private String delFlag;
    private String isDissolve;
    private Object areaLinkCode;
    private Object areaOrder;
    private Object beyondTime;
    private Object warningTime;
    private String acceptIsPrint;
    private String endIsPrint;
    private String acceptAreaName;
    private String dealAreaCode;
    private Object tenantCode;
    private Object thingHandlingId;
    private Object thingId;
    private Object tenantName;
    private Object systemCode;
    private Object timingEndTime;
    private String dealAreaName;
    private Map<String,Object> infoMap;
    private Object materials;
    private List<Object> handlingIds;
    private Object eventIds;
    private Object situations;
    private Object selectSituationItems;
    private Object situationId;
    private Object situationIds;
    private Object situationItemIds;
    private Object itemId;
    private Object processName;
    private String areaCode;
    private String areaName;
    private String deptName;
    private String acceptDeptName;
    private String acceptDeptId;
    private String rightsDeptName;
    private String rightsDeptId;
    private String userName;
    private String createUserName;
    private String implementName;
    private String implementCoding;
    private String eventType;
    private String eventTypeName;
    private Object search;
    private Object isStaging;
    private Object areaCodeList;
    private Object oneThingExampleId;
    private String timeLimit;
    private String timeLimitState;
    private String handlerName;
    private String applicantName;
    private List<Object> functionRole;
    private Object deptId;
    private Object deptIds;
    private String cycleAndStep;
    private String eventIdAndTacheId;
    private Object eventIdAndTacheIds;
    private Object cycleAndSteps;
    private String submitType;
    private Object windowUserId;
    private Object situationItems;
    private Object packages;
    private Object orderByLimitTime;
    private Object limitDay;
    private Object hotNum;
    private Object auditState;
    private Object auditAreaCode;
    private Object eventHandleKind;
    private Object handlingUseTime;
    private Object waitHandlingSearch;
    private Object stepId;
    private Integer num;
    private Object printFinishBook;
    private Object printCorrectionReceipt;
    private Object printLicence;
    private Object replyPrintLicence;
    private Object printUpload;
    private Object printDocument;
    private Object printAccept;
    private Object printNoAccept;
    private Object note;
    private Object isTimeout;
    private Object bjlx;
    private String conditionTime;
    private Object resultsHandlingType;
    private String sourceType;
    private Object suspendSecond;
    private Object beyondTimeAll;
    private Object warningTimeAll;
    private Object thingName;
    private Object extend;
    private Object stepResult;
    private Object handleDeptName;
    private Object tokenUser;
    private String floorId;
    private Object isIssue;
    private Object noEqdoSource;
    private List<Object> areaLinks;
    private List<Object> areas;


//    public static void main(String[] args){
//        String resp = "";
//        HandlingRspInfo handlingRspInfo = JSON.parseObject(resp, new TypeReference<HandlingRspInfo>() {
//        });
//        System.out.println(JSONObject.toJSONString(handlingRspInfo));
//    }
}
